summaryrefslogtreecommitdiffstats
path: root/scripts/mk-images
diff options
context:
space:
mode:
authorJeremy Katz <katzj@redhat.com>2002-07-15 19:53:01 +0000
committerJeremy Katz <katzj@redhat.com>2002-07-15 19:53:01 +0000
commit85b814759849b338decce0930ba153ad39c5c86f (patch)
treeea77efef2dcd0579e66a7061c4901d6f9ffee553 /scripts/mk-images
parent6b558dbe8b23ff9cc134584f4e95635fe91b2412 (diff)
downloadanaconda-85b814759849b338decce0930ba153ad39c5c86f.tar.gz
anaconda-85b814759849b338decce0930ba153ad39c5c86f.tar.xz
anaconda-85b814759849b338decce0930ba153ad39c5c86f.zip
morph ../keymaps/updkeymaps to getkeymaps; run getkeymaps when building trees so that we have an accurate keymap list for the loader (side benefit: we save some space on the boot images)
Diffstat (limited to 'scripts/mk-images')
-rwxr-xr-xscripts/mk-images12
1 files changed, 10 insertions, 2 deletions
diff --git a/scripts/mk-images b/scripts/mk-images
index a5076450a..c6734b289 100755
--- a/scripts/mk-images
+++ b/scripts/mk-images
@@ -58,7 +58,8 @@ TOPDIR=$(cd $TOPDIR; pwd)
# Stuff that we need
TRIMPCITABLE=$IMGPATH/usr/lib/anaconda-runtime/trimpcitable
- KEYMAPS=$IMGPATH/usr/lib/anaconda-runtime/keymaps-${BASEARCH}
+ GETKEYMAPS=$IMGPATH/usr/lib/anaconda-runtime/getkeymaps
+ KEYMAPS=/tmp/keymaps-$BUILDARCH.$$
FONTS=$IMGPATH/usr/lib/anaconda-runtime/fonts-${BASEARCH}
GETMODDEPS=$IMGPATH/usr/lib/anaconda-runtime/moddeps
MODLIST=$IMGPATH/usr/lib/anaconda-runtime/modlist
@@ -74,7 +75,7 @@ TOPDIR=$(cd $TOPDIR; pwd)
touch $MODULESUSED
REQUIREMENTS="$TRIMPCITABLE $PCITABLE $GETMODDEPS $MODINFO
- $FILTERMODDEPS $LANGTABLE $KEYMAPS"
+ $FILTERMODDEPS $LANGTABLE $GETKEYMAPS"
dieLater=
for n in $REQUIREMENTS; do
@@ -93,6 +94,13 @@ TOPDIR=$(cd $TOPDIR; pwd)
if [ -n "$dieLater" ]; then exit 1; fi
+ # go ahead and create the keymaps so we only have to do it once
+ $GETKEYMAPS $BUILDARCH $KEYMAPS $IMGPATH
+ if [ $? != 0 ]; then
+ echo "Unable to create keymaps and thus can't create initrd."
+ exit 1
+ fi
+
findPackage() {
dir=$1
name=$2